
using UnityEngine;

public class MoveCharacter : MonoBehaviour
{
    [SerializeField] float speedMove = 1f; //  
    [SerializeField] float gravityMove = -9.81f; //  
    [SerializeField] float jump = 10f; //  
    float jumpUp; // 
    
    Vector3 move; //    
    CharacterController controller; // 
    

    //  Start    
    void Start()
    {
        controller = GetComponent<CharacterController>(); //  character controller  
    }


    //  FixedUpdate  50   
    private void FixedUpdate()
    {
        Move();    //   
        Jump();     //   

    }


    //  
    void Move()
    {
        if (!controller.isGrounded) //     .      
        {
        jumpUp += gravityMove * Time.deltaTime; //  

        }       
       
            float x = Input.GetAxis("Horizontal"); //      
            float z = Input.GetAxis("Vertical");   //      z
            
               move = new Vector3(x * speedMove, jumpUp , z * speedMove) * Time.deltaTime; //  
               controller.Move(move); //       Character Controller
        
    }
    
    //   
    void Jump()
    {
       
            if (controller.isGrounded && Input.GetKeyDown(KeyCode.Space)) //           
            {
                jumpUp = jump; //     
                
            }

    }
    
}
